--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日15时43分11秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
	t.title = "我的游戏"-- 文本型窗口标题
	t.window.width = 800-- 数值型宽度
	t.window.height = 600-- 数值型高度
	t.window.msaa = 0-- 数值型抗锯齿数
	t.window.vsync =true-- 逻辑型垂直同步
	t.window.borderless = false-- 逻辑型无边框
	t.window.resizable =false-- 逻辑型可调节大小
	t.window.highdpi =false-- 逻辑型高清模式显示
	t.window.srgb =true-- 逻辑型伽马修正
	t.window.fullscreen =false-- 逻辑型全屏
	t.window.fullscreentype = "exclusive"-- 文本型全屏显示模式
	
	t.modules.joystick = false-- 逻辑型手柄
	t.modules.audio =false-- 逻辑型音频
	t.modules.sound =false-- 逻辑型声音流
	t.modules.physics =false-- 逻辑型物理引擎
	t.modules.thread =false-- 逻辑型线程系统
end
-----------头部可以intro，变量等----------

--PS:图表是TextureP生成的文件，在cocos 前断设计上面用途十分广泛，对于OPENGL的显示优化上有很大的帮助，所以我们这里也把他支持起来，可以大大提高图像渲染效率
--TextureP的XX版本下载地址可以在论坛找到
--使用方法是，下载后解压到Plugins下面
------------------------------------------


function 引擎创建()
	置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	--置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	
	cc=图表:new()
	img= 创建图像("321.png")
	cc:创建自文件("321.lua",img)
	
end
------------------------------------------

function 逻辑更新(dt)
	
end
------------------------------------------

function 画面显示()
	cc:显示("1",100,100)
	cc:显示动画("hu",1,8,0.2,200,200)
end
------------------------------------------

function 键盘按下(k)

end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止()
	end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
	
end
------------------------------------------

function 窗口获得焦点(f)
	
end
------------------------------------------

function 窗口鼠标进入(f)
	
end
------------------------------------------

function 窗口可视状态(v)
	
end
------------------------------------------

function 线程错误消息(thread,errorstr)
	
end
------------------------------------------

function 拖放得到目录(dir)
	
end
------------------------------------------

function 拖放得到文件(f)
	
end
------------------------------------------
